#pragma once

#include "RESOURCE_COMMON.h"

void resource_font_state_free(Resources* self, const FontType* types, u32 count);
void resource_font_state_init(Resources* self, const FontType* types, u32 count);
void resource_font_free(Resources* self, FontType type);
bool resource_font_init(Resources* self, FontType type);
